NOTEDB::dbm(3pm)

NAME
NOTEDB::dbm - module lib for accessing a notedb from perl

SYNOPSIS
        # include the module
        use NOTEDB;

        # create a new NOTEDB object (the last 4 params are db table/field names)
        $db = new NOTEDB("mysql","note","/home/user/.notedb/");

        # get a single note
        ($note, $date) = $db->get_single(1);

        # search for a certain note
        %matching_notes = $db->get_search("somewhat");
        # format of returned hash:
        #$matching_notes{$numberofnote}->{'note' => 'something', 'date' => '23.12.2000 10:33:02'}

        # get all existing notes
        %all_notes = $db->get_all();
        # format of returns hash like the one from get_search above

        # get the next noteid available
        $next_num = $db->get_nextnum();

        # recount all noteids starting by 1 (useful after deleting one!)
        $db->set_recountnums();

        # modify a certain note
        $db->set_edit(1, "any text", "23.12.2000 10:33:02");

        # create a new note
        $db->set_new(5, "any new text", "23.12.2000 10:33:02");

        # delete a certain note
        $db->set_del(5);

DESCRIPTION
You can use this module for accessing a note database. This is the dbm module. It uses the DB_FILE module to store it's data and it uses DBM files for tis purpose.

Currently, NOTEDB module is only used by note itself. But feel free to use it within your own project! Perhaps someone want to implement a web interface to note...

USAGE
please see the section SYNOPSIS, it says it all.

AUTHOR
Thomas Linden <tom@daemon.de>.